package com.ym.mec.auth.api.client.fallback;

import java.util.List;
import java.util.Map;

import com.dayaedu.cbs.openfeign.wrapper.qrcode.CbsQrCodeScanWrapper;
import com.ym.mec.auth.api.dto.SysUserQueryInfo;
import org.springframework.stereotype.Component;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.common.entity.HttpResponseResult;

//@Component
public class SysUserFeignServiceFallback implements SysUserFeignService {

	@Override
	public SysUser queryUserById(Integer userId) {
		return null;
	}

	@Override
	public SysUser queryUserInfo() {
		return null;
	}

	@Override
	public SysUser queryUserByMobile(String mobile) {
		return null;
	}

	public HttpResponseResult<Integer> addUser(SysUser user){
		return null;
	}

	@Override
	public List<String> queryRoleCodeListByUserId(Integer userId) {
		return null;
	}

	@Override
	public Boolean updateSysUser(SysUser user) {
		return false;
	}

	@Override
	public HttpResponseResult<String> exitByPhone(String clientId, String phone) {
		return null;
	}

	@Override
	public HttpResponseResult refreshToken(String refreshToken, String clientId, String clientSecret) {
		return null;
	}

	@Override
	public HttpResponseResult<String> logout() {
		return null;
	}

	@Override
	public HttpResponseResult<List<SysUser>> page(SysUserQueryInfo queryInfo) {
		return null;
	}

	@Override
	public CbsQrCodeScanWrapper.UserInfo userInfo(CbsQrCodeScanWrapper.QrCodeScanUserInfoReq req) {
		return null;
	}

	@Override
	public CbsQrCodeScanWrapper.QrCodeScanToken login(CbsQrCodeScanWrapper.QrCodeScanReq req) {
		return null;
	}

}
